Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Interface MEditingDomainElement

All Known Implementing Classes:
  EditorInputProxy, FileEditorInputProxy, PathEditorInputProxy, StorageEditorInputProxy

    public interface MEditingDomainElement

Method Summary
`TransactionalEditingDomain` `getEditingDomain()`

Method Detail

### getEditingDomain

    TransactionalEditingDomain getEditingDomain()

  Returns:
    The editing domain for this diagram document

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.